group "PricingDays.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
dayType?, dayDistribution?, dayCount?

Content Model Elements (3):

  dayCount, dayDistribution, dayType

Known Usage Locations

- In definitions of global complexTypes (1):
  CommodityPricingDates

Annotation
The different options for specifying which days are pricing days within a pricing period. Unless a lag element is present, the pricing period will be the calculation period.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="PricingDays.model"> <xsd:sequence> <xsd:element minOccurs="0" name="dayType" type="CommodityDayTypeEnum"/> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="dayDistribution" type="CommodityFrequencyType"/> <xsd:element minOccurs="0" name="dayCount" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
dayCount

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days over which pricing should take place.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCount" type="xsd:positiveInteger"/>

dayDistribution

  Type: | CommodityFrequencyType, simple content

  The method by which the pricing days are distributed across the pricing period.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayDistribution" type="CommodityFrequencyType"/>

dayType

  Type: | CommodityDayTypeEnum, simple content

  The type of day on which pricing occurs.
  Simple Content

  ("Business" | "Calendar" | "CommodityBusiness" | "CurrencyBusiness" | "ExchangeBusiness" | "ScheduledTradingDay") | "GasFlow"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayType" type="CommodityDayTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.